
local tmp = core.registered_nodes["aom_underworld:lava_rock"]

core.register_node("aom_underworld:worknode_ceiling", table.copy(tmp))

core.register_node("aom_underworld:worknode_soil", table.copy(tmp))

core.register_node("aom_underworld:worknode_dust", table.copy(tmp))

core.register_node("aom_underworld:worknode_topsoil", table.copy(tmp))

core.register_node("aom_underworld:workaround_node", {
    description = "workaround_node",
    groups = { solid = 0, unobtainable = 1, not_in_creative_inventory = 1, },
    tiles = {"aom_underworld_glowrock.png^[colorize:#ffffff:255"},
    sounds = aom_sounds.default_stone(),
    light_source = 14,
    paramtype = "light",
})
